Package: boost
Version: 1.68.0-6
Depends: libc, libstdcpp, libpthread, librt
Source: feeds/packages/libs/boost
License: Boost Software License <http://www.boost.org/users/license.html>
Section: libs
Maintainer: Carlos M. Ferreira <carlosmf.pt@gmail.com>
Architecture: powerpc_464fp
Installed-Size: 94
Description:  This package provides the Boost v1.68.0 libraries.
 Boost is a set of free, peer-reviewed, portable C++ source libraries.
 
 -----------------------------------------------------------------------------
 |                                Warning                                    |
 | In order to build all of the Boost Libraries, it is necessary             |
 | to use, at least, GCC version 5 (C++14 support) and, it is necessary to   |
 | compile the kernel with Full Language Support.                            |
 | Without these requirerements, the following libs will not be available:   |
 | - Boost.Locale                                                            |
 | - Boost.Coroutine2 (header-only library - requires C++11)                 |
 | - Boost.Fiber (requires C++14)                                            |
 -----------------------------------------------------------------------------
 
 This package provides the following run-time libraries:
 - atomic
 - chrono
 - container
 - context
 - contract 
 - coroutine (Deprecated - use Coroutine2)
 - - coroutine2 (Requires GCC v5 and up)
 - date_time
 - exception
 - filesystem
 - fiber (Requires GCC v5 and up)
 - graph
 - - graph-parallel
 - iostreams
 - locale (Requires kernel being compiled with full language support)
 - log
 - math
 - program_options
 - python
 - python3
 - random
 - regex
 - serialization and wserialization
 - signals
 - stackstrace
 - system
 - thread
 - timer
 - type_erasure
 - wave
 
 There are many more header-only libraries supported by Boost.
 See more at http://www.boost.org/doc/libs/1_67_0/
